- subscribable = gitlab_subscription_or_license
- message = gitlab_subscription_message_or_license_message

- if message.present? && subscribable.present?
  .js-gitlab-ee-license-banner.hidden{ class: [container_class, @content_class, 'gl-pt-5!'] }
    = render Pajamas::AlertComponent.new(variant: :danger,
      title: message,
      alert_data: { license_expiry: subscribable.expires_at, defer_links: "true" }) do |c|
      = c.body do
        - if subscribable.block_changes?
          = link_to_button_style(path: renew_subscription_path, track_property: 'renew')
        - elsif subscribable.expired?
          = link_to_button_style(path: upgrade_subscription_path, track_property: 'upgrade')
        - else
          = link_to_button_style(path: renew_subscription_path, track_property: 'renew')
          %button{ type: 'button', data: { track_event: 'click_text', track_label: 'subscribable_action', track_property: 'thats_ok' }, 'aria-label' => 'Dismiss', class: 'btn gl-button btn-default js-close gl-mb-2' }
            = _("That's OK, I don't want to renew")
